<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilitiesDelegate Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html">capabilitiesDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilitiesDelegate Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7994b69b92600496f1bcfd259b7df51e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7994b69b92600496f1bcfd259b7df51e">TAG</a> (&quot;CapabilitiesDelegate&quot;)</td></tr>
<tr class="memdesc:a7994b69b92600496f1bcfd259b7df51e"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a7994b69b92600496f1bcfd259b7df51e">More...</a><br /></td></tr>
<tr class="separator:a7994b69b92600496f1bcfd259b7df51e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ddffdfaa42e4687bad6b7d4e030b7a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a79ddffdfaa42e4687bad6b7d4e030b7a">getCapabilityKey</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a79ddffdfaa42e4687bad6b7d4e030b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8376d9a78b32f834b977d36aa46170da"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a8376d9a78b32f834b977d36aa46170da">capabilityMapFormCheckHelper</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap, const std::string &amp;findKey, const std::string &amp;errorEvent, const std::string &amp;errorReasonKey, const std::string &amp;errorReasonValue)</td></tr>
<tr class="separator:a8376d9a78b32f834b977d36aa46170da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bfd01604eca48ca1c1ad1ec24c285c5"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a5bfd01604eca48ca1c1ad1ec24c285c5">isCapabilityMapCorrectlyFormed</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a5bfd01604eca48ca1c1ad1ec24c285c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7595c20a2b931a7da18ca55b0a1e225a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7595c20a2b931a7da18ca55b0a1e225a">getErrorMsgFromHttpResponse</a> (const std::string &amp;httpResponse)</td></tr>
<tr class="separator:a7595c20a2b931a7da18ca55b0a1e225a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19184d45c1943060d4b783d0b2167050"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a19184d45c1943060d4b783d0b2167050">getCapabilityInfoStringFromJson</a> (const rapidjson::Value &amp;capabilityJson, const std::string &amp;jsonMemberKey)</td></tr>
<tr class="separator:a19184d45c1943060d4b783d0b2167050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab223445d3564ddc18cf87f210fa1c86a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab223445d3564ddc18cf87f210fa1c86a">getCapabilityConfigsStringFromJson</a> (const rapidjson::Value &amp;capabilityJson)</td></tr>
<tr class="separator:ab223445d3564ddc18cf87f210fa1c86a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c612dbb7c5b63ab393cf744a7e15630"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7c612dbb7c5b63ab393cf744a7e15630">getStringFromJson</a> (const rapidjson::Value &amp;jsonValue, std::string *jsonString)</td></tr>
<tr class="separator:a7c612dbb7c5b63ab393cf744a7e15630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4994f0c85beeb1cc0e64d6433b19011"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#af4994f0c85beeb1cc0e64d6433b19011">getJsonFromString</a> (const std::string &amp;jsonString, rapidjson::Value::AllocatorType &amp;allocator, rapidjson::Value *jsonValue)</td></tr>
<tr class="separator:af4994f0c85beeb1cc0e64d6433b19011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04686085548447a1821baa45b5016b05"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a04686085548447a1821baa45b5016b05">logFailedSaveAndClearCapabilitiesPublishTable</a> (const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">MiscStorageInterface</a> &gt; &amp;miscStorage)</td></tr>
<tr class="separator:a04686085548447a1821baa45b5016b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9a14cca14664c98478e0963405f5a57e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9a14cca14664c98478e0963405f5a57e">CONFIG_KEY_CAPABILITIES_DELEGATE</a> = &quot;capabilitiesDelegate&quot;</td></tr>
<tr class="memdesc:a9a14cca14664c98478e0963405f5a57e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>.  <a href="#a9a14cca14664c98478e0963405f5a57e">More...</a><br /></td></tr>
<tr class="separator:a9a14cca14664c98478e0963405f5a57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a633dadd6e68d64af3de1cae217423f3d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a633dadd6e68d64af3de1cae217423f3d">CONFIG_KEY_OVERRIDE_CAPABILITIES_API_REQUEST_BODY</a> = &quot;overridenCapabilitiesPublishMessageBody&quot;</td></tr>
<tr class="memdesc:a633dadd6e68d64af3de1cae217423f3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of overridenCapabilitiesPublishMessageBody value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a633dadd6e68d64af3de1cae217423f3d">More...</a><br /></td></tr>
<tr class="separator:a633dadd6e68d64af3de1cae217423f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a79e9d9ca4183d4da7ee1e348dc8ad58f">CONFIG_KEY_CAPABILITIES_API_ENDPOINT</a> = &quot;endpoint&quot;</td></tr>
<tr class="memdesc:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of endpoint value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a79e9d9ca4183d4da7ee1e348dc8ad58f">More...</a><br /></td></tr>
<tr class="separator:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d2869aad60b9f0bccffca1537d383a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a05d2869aad60b9f0bccffca1537d383a">DEFAULT_CAPABILITIES_API_ENDPOINT</a> = &quot;https://api.amazonalexa.com&quot;</td></tr>
<tr class="separator:a05d2869aad60b9f0bccffca1537d383a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497f946d8b019f27c2238f92370dde2c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a497f946d8b019f27c2238f92370dde2c">CAPABILITIES_API_URL_PRE_DEVICE_SUFFIX</a> = &quot;/v1/devices/&quot;</td></tr>
<tr class="memdesc:a497f946d8b019f27c2238f92370dde2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix before the device's place in the URL.  <a href="#a497f946d8b019f27c2238f92370dde2c">More...</a><br /></td></tr>
<tr class="separator:a497f946d8b019f27c2238f92370dde2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14d1b6bd80ac925a055b12a59b76b03"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aa14d1b6bd80ac925a055b12a59b76b03">CAPABILITIES_API_URL_POST_DEVICE_SUFFIX</a> = &quot;/capabilities&quot;</td></tr>
<tr class="memdesc:aa14d1b6bd80ac925a055b12a59b76b03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix after the device's place in the URL.  <a href="#aa14d1b6bd80ac925a055b12a59b76b03">More...</a><br /></td></tr>
<tr class="separator:aa14d1b6bd80ac925a055b12a59b76b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdfa568c2c58e517683c203d981725e2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#acdfa568c2c58e517683c203d981725e2">SELF_DEVICE</a> = &quot;@self&quot;</td></tr>
<tr class="memdesc:acdfa568c2c58e517683c203d981725e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device ID for the device that will show up in the URL.  <a href="#acdfa568c2c58e517683c203d981725e2">More...</a><br /></td></tr>
<tr class="separator:acdfa568c2c58e517683c203d981725e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab37e5f20ea4bb9edfcf216048c34f3f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab37e5f20ea4bb9edfcf216048c34f3f0">CONTENT_TYPE_HEADER_KEY</a> = &quot;Content-Type&quot;</td></tr>
<tr class="separator:ab37e5f20ea4bb9edfcf216048c34f3f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7873388e6702795569ef29e11e4d382d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7873388e6702795569ef29e11e4d382d">CONTENT_TYPE_HEADER_VALUE</a> = &quot;application/json&quot;</td></tr>
<tr class="memdesc:a7873388e6702795569ef29e11e4d382d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content type header value.  <a href="#a7873388e6702795569ef29e11e4d382d">More...</a><br /></td></tr>
<tr class="separator:a7873388e6702795569ef29e11e4d382d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7720cfc8f4db5f2d4a4cdcc00558c499">CONTENT_LENGTH_HEADER_KEY</a> = &quot;Content-Length&quot;</td></tr>
<tr class="memdesc:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content length header key.  <a href="#a7720cfc8f4db5f2d4a4cdcc00558c499">More...</a><br /></td></tr>
<tr class="separator:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7f99b3d69e0c6d13f8b699d0777b036a">AUTHORIZATION_HEADER_KEY</a> = &quot;x-amz-access-token&quot;</td></tr>
<tr class="memdesc:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Auth token header key.  <a href="#a7f99b3d69e0c6d13f8b699d0777b036a">More...</a><br /></td></tr>
<tr class="separator:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2841b324335dcce2be7831c441697f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7c2841b324335dcce2be7831c441697f">ACCEPT_HEADER_KEY</a> = &quot;Accept&quot;</td></tr>
<tr class="memdesc:a7c2841b324335dcce2be7831c441697f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accept header key.  <a href="#a7c2841b324335dcce2be7831c441697f">More...</a><br /></td></tr>
<tr class="separator:a7c2841b324335dcce2be7831c441697f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a834ee3c7a72c0fc8602b257f1c786812"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a834ee3c7a72c0fc8602b257f1c786812">EXPECT_HEADER_KEY</a> = &quot;Expect&quot;</td></tr>
<tr class="memdesc:a834ee3c7a72c0fc8602b257f1c786812"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expect header key.  <a href="#a834ee3c7a72c0fc8602b257f1c786812">More...</a><br /></td></tr>
<tr class="separator:a834ee3c7a72c0fc8602b257f1c786812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ab5340bf1a2ec64805368cc51080c4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ae4ab5340bf1a2ec64805368cc51080c4">ENVELOPE_VERSION_KEY</a> = &quot;envelopeVersion&quot;</td></tr>
<tr class="memdesc:ae4ab5340bf1a2ec64805368cc51080c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key in message body.  <a href="#ae4ab5340bf1a2ec64805368cc51080c4">More...</a><br /></td></tr>
<tr class="separator:ae4ab5340bf1a2ec64805368cc51080c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a042946d82d1037758819ad8478993a96"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a042946d82d1037758819ad8478993a96">ENVELOPE_VERSION_VALUE</a> = &quot;20160207&quot;</td></tr>
<tr class="memdesc:a042946d82d1037758819ad8478993a96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version value in message body.  <a href="#a042946d82d1037758819ad8478993a96">More...</a><br /></td></tr>
<tr class="separator:a042946d82d1037758819ad8478993a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf7675a584d0cd02f7e94dc399c6882f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#adf7675a584d0cd02f7e94dc399c6882f">CAPABILITIES_KEY</a> = &quot;capabilities&quot;</td></tr>
<tr class="memdesc:adf7675a584d0cd02f7e94dc399c6882f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Capabilities key in message body.  <a href="#adf7675a584d0cd02f7e94dc399c6882f">More...</a><br /></td></tr>
<tr class="separator:adf7675a584d0cd02f7e94dc399c6882f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aed97f84b5fa31a75bfaeb06345cbd1a5">HTTP_RESPONSE_ERROR_VALUE</a> = &quot;message&quot;</td></tr>
<tr class="memdesc:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant for HTTP 400 response json.  <a href="#aed97f84b5fa31a75bfaeb06345cbd1a5">More...</a><br /></td></tr>
<tr class="separator:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33877510a3e3fcc3aecbb99513976297"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a33877510a3e3fcc3aecbb99513976297">CAPABILITY_KEY_SEPARATOR</a> = &quot;.&quot;</td></tr>
<tr class="memdesc:a33877510a3e3fcc3aecbb99513976297"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between the components that make up a capability key.  <a href="#a33877510a3e3fcc3aecbb99513976297">More...</a><br /></td></tr>
<tr class="separator:a33877510a3e3fcc3aecbb99513976297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9f9f6e77941bb36d1c1d014b06be3f89">HEADER_KEY_VALUE_SEPARATOR</a> = &quot;:&quot;</td></tr>
<tr class="memdesc:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between header key and value.  <a href="#a9f9f6e77941bb36d1c1d014b06be3f89">More...</a><br /></td></tr>
<tr class="separator:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f782bf20a6aaab58c80a8475f9be7a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a86f782bf20a6aaab58c80a8475f9be7a">DB_KEY_ENDPOINT</a> = &quot;endpoint:&quot;</td></tr>
<tr class="separator:a86f782bf20a6aaab58c80a8475f9be7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95416fcf28431b77a5421c945e06f182"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a95416fcf28431b77a5421c945e06f182">DB_KEY_CLIENT_ID</a> = &quot;clientId:&quot;</td></tr>
<tr class="memdesc:a95416fcf28431b77a5421c945e06f182"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client id key.  <a href="#a95416fcf28431b77a5421c945e06f182">More...</a><br /></td></tr>
<tr class="separator:a95416fcf28431b77a5421c945e06f182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ccac16abae804c392253e9ff244e85d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0ccac16abae804c392253e9ff244e85d">DB_KEY_PRODUCT_ID</a> = &quot;productId:&quot;</td></tr>
<tr class="memdesc:a0ccac16abae804c392253e9ff244e85d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Product id key.  <a href="#a0ccac16abae804c392253e9ff244e85d">More...</a><br /></td></tr>
<tr class="separator:a0ccac16abae804c392253e9ff244e85d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a777c1e10baefa58cf04f7dfe4c3c4ae1">DB_KEY_ENVELOPE_VERSION</a> = &quot;envelopeVersion:&quot;</td></tr>
<tr class="memdesc:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key.  <a href="#a777c1e10baefa58cf04f7dfe4c3c4ae1">More...</a><br /></td></tr>
<tr class="separator:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843f51afe03c337158a89bc4da90779d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a843f51afe03c337158a89bc4da90779d">DB_KEY_DSN</a> = &quot;deviceSerialNumber:&quot;</td></tr>
<tr class="memdesc:a843f51afe03c337158a89bc4da90779d"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSN key.  <a href="#a843f51afe03c337158a89bc4da90779d">More...</a><br /></td></tr>
<tr class="separator:a843f51afe03c337158a89bc4da90779d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611bb9c07bd91396cd614f3552f7cdbd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a611bb9c07bd91396cd614f3552f7cdbd">DB_KEY_PUBLISH_MSG</a> = &quot;publishMsg:&quot;</td></tr>
<tr class="memdesc:a611bb9c07bd91396cd614f3552f7cdbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message key.  <a href="#a611bb9c07bd91396cd614f3552f7cdbd">More...</a><br /></td></tr>
<tr class="separator:a611bb9c07bd91396cd614f3552f7cdbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab584cac65812570584ceb6954c0f25e3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab584cac65812570584ceb6954c0f25e3">DB_KEY_SEPARATOR</a> = &quot;,&quot;</td></tr>
<tr class="memdesc:ab584cac65812570584ceb6954c0f25e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between keys.  <a href="#ab584cac65812570584ceb6954c0f25e3">More...</a><br /></td></tr>
<tr class="separator:ab584cac65812570584ceb6954c0f25e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad071e9c77b65e170ed4452b7767c268f"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ad071e9c77b65e170ed4452b7767c268f">CAPABILITY_MAP_REQUIRED_ENTRIES</a> = 3</td></tr>
<tr class="separator:ad071e9c77b65e170ed4452b7767c268f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#af3e60e9f258325c05d8f3dcb8c9064a3">CAPABILITY_MAP_MAXIMUM_ENTRIES</a> = 4</td></tr>
<tr class="memdesc:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of entries in capability map.  <a href="#af3e60e9f258325c05d8f3dcb8c9064a3">More...</a><br /></td></tr>
<tr class="separator:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2535b7f5294126d15c4e12f4f369406"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab2535b7f5294126d15c4e12f4f369406">COMPONENT_NAME</a> = &quot;capabilitiesDelegate&quot;</td></tr>
<tr class="memdesc:ab2535b7f5294126d15c4e12f4f369406"><td class="mdescLeft">&#160;</td><td class="mdescRight">Component name needed for Misc DB.  <a href="#ab2535b7f5294126d15c4e12f4f369406">More...</a><br /></td></tr>
<tr class="separator:ab2535b7f5294126d15c4e12f4f369406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0591fba775fac253f593c1e6d47a8f4f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0591fba775fac253f593c1e6d47a8f4f">CAPABILITIES_PUBLISH_TABLE</a> = &quot;capabilitiesPublishMessage&quot;</td></tr>
<tr class="memdesc:a0591fba775fac253f593c1e6d47a8f4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Capabilities publish message table.  <a href="#a0591fba775fac253f593c1e6d47a8f4f">More...</a><br /></td></tr>
<tr class="separator:a0591fba775fac253f593c1e6d47a8f4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8376d9a78b32f834b977d36aa46170da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8376d9a78b32f834b977d36aa46170da">&#9670;&nbsp;</a></span>capabilityMapFormCheckHelper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilitiesDelegate::capabilityMapFormCheckHelper </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>findKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorEvent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorReasonKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorReasonValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method for <a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a5bfd01604eca48ca1c1ad1ec24c285c5">isCapabilityMapCorrectlyFormed()</a> to check if a key is present, and its corresponding value is not empty.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
    <tr><td class="paramname">findKey</td><td>The key from capabilityMap that needs to be checked. </td></tr>
    <tr><td class="paramname">errorEvent</td><td>Log error event if checks fail. </td></tr>
    <tr><td class="paramname">errorReasonKey</td><td>Log error reason key if checks fail. </td></tr>
    <tr><td class="paramname">errorReasonValue</td><td>Log error reason value if checks fail. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the checks pass, else false. </dd></dl>

</div>
</div>
<a id="ab223445d3564ddc18cf87f210fa1c86a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab223445d3564ddc18cf87f210fa1c86a">&#9670;&nbsp;</a></span>getCapabilityConfigsStringFromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::getCapabilityConfigsStringFromJson </td>
          <td>(</td>
          <td class="paramtype">const rapidjson::Value &amp;&#160;</td>
          <td class="paramname"><em>capabilityJson</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get a capability configurations json as a string from the capability json.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityJson</td><td>The capability json. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The capability configurations json as a string if found, else "". </dd></dl>
<dl class="section note"><dt>Note</dt><dd>"" is ok as a return value for this function if there are errors because a null string itself implies an error. </dd></dl>

</div>
</div>
<a id="a19184d45c1943060d4b783d0b2167050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19184d45c1943060d4b783d0b2167050">&#9670;&nbsp;</a></span>getCapabilityInfoStringFromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::getCapabilityInfoStringFromJson </td>
          <td>(</td>
          <td class="paramtype">const rapidjson::Value &amp;&#160;</td>
          <td class="paramname"><em>capabilityJson</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonMemberKey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get a capability info string from the capability json.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityJson</td><td>The capability json. </td></tr>
    <tr><td class="paramname">jsonMemberKey</td><td>the member key in the json where the capability info can be found. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The capability info string if found, else "". </dd></dl>
<dl class="section note"><dt>Note</dt><dd>"" is ok as a return value for this function if there are errors because a null string itself implies an error. </dd></dl>

</div>
</div>
<a id="a79ddffdfaa42e4687bad6b7d4e030b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79ddffdfaa42e4687bad6b7d4e030b7a">&#9670;&nbsp;</a></span>getCapabilityKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a key for a capability map, which is used as a key to store in the m_capabilityConfigs map. The key consists of the interface type and interface name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a string that is basically &lt;interface type&gt;=""&gt;.&lt;interface name&gt;=""&gt; </dd></dl>

</div>
</div>
<a id="a7595c20a2b931a7da18ca55b0a1e225a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7595c20a2b931a7da18ca55b0a1e225a">&#9670;&nbsp;</a></span>getErrorMsgFromHttpResponse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::getErrorMsgFromHttpResponse </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>httpResponse</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the error message from HTTP response.</p>
<dl class="section return"><dt>Returns</dt><dd>The error message from the HTTP response if the json is valid, else "". </dd></dl>

</div>
</div>
<a id="af4994f0c85beeb1cc0e64d6433b19011"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4994f0c85beeb1cc0e64d6433b19011">&#9670;&nbsp;</a></span>getJsonFromString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilitiesDelegate::getJsonFromString </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rapidjson::Value::AllocatorType &amp;&#160;</td>
          <td class="paramname"><em>allocator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rapidjson::Value *&#160;</td>
          <td class="paramname"><em>jsonValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get a json object from a string representing the json.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">jsonString</td><td>The json as a string. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">allocator</td><td>The allocator object used to build <code>jsonValue</code>. Note: Make sure that the allocator gets destroyed only after <code>jsonValue</code> has been destroyed. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">*jsonValue</td><td>The json value object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the string represents a proper json, else false. </dd></dl>

</div>
</div>
<a id="a7c612dbb7c5b63ab393cf744a7e15630"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c612dbb7c5b63ab393cf744a7e15630">&#9670;&nbsp;</a></span>getStringFromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilitiesDelegate::getStringFromJson </td>
          <td>(</td>
          <td class="paramtype">const rapidjson::Value &amp;&#160;</td>
          <td class="paramname"><em>jsonValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string *&#160;</td>
          <td class="paramname"><em>jsonString</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get a string from the json.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">jsonValue</td><td>The json value object. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">*jsonString</td><td>The json as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if a string was able to be obatined from the json, else false. </dd></dl>

</div>
</div>
<a id="a5bfd01604eca48ca1c1ad1ec24c285c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bfd01604eca48ca1c1ad1ec24c285c5">&#9670;&nbsp;</a></span>isCapabilityMapCorrectlyFormed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilitiesDelegate::isCapabilityMapCorrectlyFormed </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks a capability map to see</p><ul>
<li>It has all of the required information (type, name, version)</li>
<li>If a configuration string is available, then it is a valid json</li>
<li>There is no other unexpected information Note that, the method will not check to see if the values themselves are valid.</li>
</ul>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if all the checked conditions pass, else false. </dd></dl>
<p class="">interface type, name and version are the only entries that are required, and we have checked above that all of them exist.</p>
<p class="">the fourth entry (for CAPABILITY_INTERFACE_CONFIGURATIONS_KEY) is optional</p>
<p class="">check if the configuration values string is a valid json</p>
<p class="">interface type, name and version are the only entries that are required, and we have checked above that all of them exist.</p>
<p class="">the fourth entry (for CAPABILITY_INTERFACE_CONFIGURATIONS_KEY) is optional</p>
<p class="">check if the configuration values string is a valid json </p>

</div>
</div>
<a id="a04686085548447a1821baa45b5016b05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04686085548447a1821baa45b5016b05">&#9670;&nbsp;</a></span>logFailedSaveAndClearCapabilitiesPublishTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::logFailedSaveAndClearCapabilitiesPublishTable </td>
          <td>(</td>
          <td class="paramtype">const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">MiscStorageInterface</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>miscStorage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method that will log a fail for saving Capabilities API data to misc DB and then attempt to clear the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">miscStorage</td><td>The misc storage handler. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7994b69b92600496f1bcfd259b7df51e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7994b69b92600496f1bcfd259b7df51e">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilitiesDelegate::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;CapabilitiesDelegate&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a7c2841b324335dcce2be7831c441697f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c2841b324335dcce2be7831c441697f">&#9670;&nbsp;</a></span>ACCEPT_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::ACCEPT_HEADER_KEY = &quot;Accept&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Accept header key. </p>

</div>
</div>
<a id="a7f99b3d69e0c6d13f8b699d0777b036a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f99b3d69e0c6d13f8b699d0777b036a">&#9670;&nbsp;</a></span>AUTHORIZATION_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::AUTHORIZATION_HEADER_KEY = &quot;x-amz-access-token&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Auth token header key. </p>

</div>
</div>
<a id="aa14d1b6bd80ac925a055b12a59b76b03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa14d1b6bd80ac925a055b12a59b76b03">&#9670;&nbsp;</a></span>CAPABILITIES_API_URL_POST_DEVICE_SUFFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CAPABILITIES_API_URL_POST_DEVICE_SUFFIX = &quot;/capabilities&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Suffix after the device's place in the URL. </p>

</div>
</div>
<a id="a497f946d8b019f27c2238f92370dde2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a497f946d8b019f27c2238f92370dde2c">&#9670;&nbsp;</a></span>CAPABILITIES_API_URL_PRE_DEVICE_SUFFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CAPABILITIES_API_URL_PRE_DEVICE_SUFFIX = &quot;/v1/devices/&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Suffix before the device's place in the URL. </p>

</div>
</div>
<a id="adf7675a584d0cd02f7e94dc399c6882f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf7675a584d0cd02f7e94dc399c6882f">&#9670;&nbsp;</a></span>CAPABILITIES_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CAPABILITIES_KEY = &quot;capabilities&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Capabilities key in message body. </p>

</div>
</div>
<a id="a0591fba775fac253f593c1e6d47a8f4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0591fba775fac253f593c1e6d47a8f4f">&#9670;&nbsp;</a></span>CAPABILITIES_PUBLISH_TABLE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CAPABILITIES_PUBLISH_TABLE = &quot;capabilitiesPublishMessage&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Capabilities publish message table. </p>

</div>
</div>
<a id="a33877510a3e3fcc3aecbb99513976297"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33877510a3e3fcc3aecbb99513976297">&#9670;&nbsp;</a></span>CAPABILITY_KEY_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CAPABILITY_KEY_SEPARATOR = &quot;.&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between the components that make up a capability key. </p>

</div>
</div>
<a id="af3e60e9f258325c05d8f3dcb8c9064a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3e60e9f258325c05d8f3dcb8c9064a3">&#9670;&nbsp;</a></span>CAPABILITY_MAP_MAXIMUM_ENTRIES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int alexaClientSDK::capabilitiesDelegate::CAPABILITY_MAP_MAXIMUM_ENTRIES = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maximum number of entries in capability map. </p>

</div>
</div>
<a id="ad071e9c77b65e170ed4452b7767c268f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad071e9c77b65e170ed4452b7767c268f">&#9670;&nbsp;</a></span>CAPABILITY_MAP_REQUIRED_ENTRIES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int alexaClientSDK::capabilitiesDelegate::CAPABILITY_MAP_REQUIRED_ENTRIES = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for entries in the capability map Required number of entries in capability map </p>

</div>
</div>
<a id="ab2535b7f5294126d15c4e12f4f369406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2535b7f5294126d15c4e12f4f369406">&#9670;&nbsp;</a></span>COMPONENT_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::COMPONENT_NAME = &quot;capabilitiesDelegate&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Component name needed for Misc DB. </p>

</div>
</div>
<a id="a79e9d9ca4183d4da7ee1e348dc8ad58f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e9d9ca4183d4da7ee1e348dc8ad58f">&#9670;&nbsp;</a></span>CONFIG_KEY_CAPABILITIES_API_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_CAPABILITIES_API_ENDPOINT = &quot;endpoint&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of endpoint value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a9a14cca14664c98478e0963405f5a57e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a14cca14664c98478e0963405f5a57e">&#9670;&nbsp;</a></span>CONFIG_KEY_CAPABILITIES_DELEGATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_CAPABILITIES_DELEGATE = &quot;capabilitiesDelegate&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>. </p>

</div>
</div>
<a id="a633dadd6e68d64af3de1cae217423f3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a633dadd6e68d64af3de1cae217423f3d">&#9670;&nbsp;</a></span>CONFIG_KEY_OVERRIDE_CAPABILITIES_API_REQUEST_BODY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_OVERRIDE_CAPABILITIES_API_REQUEST_BODY = &quot;overridenCapabilitiesPublishMessageBody&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of overridenCapabilitiesPublishMessageBody value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a7720cfc8f4db5f2d4a4cdcc00558c499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7720cfc8f4db5f2d4a4cdcc00558c499">&#9670;&nbsp;</a></span>CONTENT_LENGTH_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONTENT_LENGTH_HEADER_KEY = &quot;Content-Length&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content length header key. </p>

</div>
</div>
<a id="ab37e5f20ea4bb9edfcf216048c34f3f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab37e5f20ea4bb9edfcf216048c34f3f0">&#9670;&nbsp;</a></span>CONTENT_TYPE_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONTENT_TYPE_HEADER_KEY = &quot;Content-Type&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for the Capabilities API message json Content type header key </p>

</div>
</div>
<a id="a7873388e6702795569ef29e11e4d382d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7873388e6702795569ef29e11e4d382d">&#9670;&nbsp;</a></span>CONTENT_TYPE_HEADER_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::CONTENT_TYPE_HEADER_VALUE = &quot;application/json&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content type header value. </p>

</div>
</div>
<a id="a95416fcf28431b77a5421c945e06f182"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95416fcf28431b77a5421c945e06f182">&#9670;&nbsp;</a></span>DB_KEY_CLIENT_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_CLIENT_ID = &quot;clientId:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Client id key. </p>

</div>
</div>
<a id="a843f51afe03c337158a89bc4da90779d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a843f51afe03c337158a89bc4da90779d">&#9670;&nbsp;</a></span>DB_KEY_DSN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_DSN = &quot;deviceSerialNumber:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DSN key. </p>

</div>
</div>
<a id="a86f782bf20a6aaab58c80a8475f9be7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86f782bf20a6aaab58c80a8475f9be7a">&#9670;&nbsp;</a></span>DB_KEY_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_ENDPOINT = &quot;endpoint:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for prefixes for DB storage Endpoint key </p>

</div>
</div>
<a id="a777c1e10baefa58cf04f7dfe4c3c4ae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a777c1e10baefa58cf04f7dfe4c3c4ae1">&#9670;&nbsp;</a></span>DB_KEY_ENVELOPE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_ENVELOPE_VERSION = &quot;envelopeVersion:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version key. </p>

</div>
</div>
<a id="a0ccac16abae804c392253e9ff244e85d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ccac16abae804c392253e9ff244e85d">&#9670;&nbsp;</a></span>DB_KEY_PRODUCT_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_PRODUCT_ID = &quot;productId:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Product id key. </p>

</div>
</div>
<a id="a611bb9c07bd91396cd614f3552f7cdbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611bb9c07bd91396cd614f3552f7cdbd">&#9670;&nbsp;</a></span>DB_KEY_PUBLISH_MSG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_PUBLISH_MSG = &quot;publishMsg:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Message key. </p>

</div>
</div>
<a id="ab584cac65812570584ceb6954c0f25e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab584cac65812570584ceb6954c0f25e3">&#9670;&nbsp;</a></span>DB_KEY_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DB_KEY_SEPARATOR = &quot;,&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between keys. </p>

</div>
</div>
<a id="a05d2869aad60b9f0bccffca1537d383a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05d2869aad60b9f0bccffca1537d383a">&#9670;&nbsp;</a></span>DEFAULT_CAPABILITIES_API_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::DEFAULT_CAPABILITIES_API_ENDPOINT = &quot;https://api.amazonalexa.com&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constituents of the Capabilities API URL Capabilities API endpoint </p>

</div>
</div>
<a id="ae4ab5340bf1a2ec64805368cc51080c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ab5340bf1a2ec64805368cc51080c4">&#9670;&nbsp;</a></span>ENVELOPE_VERSION_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::ENVELOPE_VERSION_KEY = &quot;envelopeVersion&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version key in message body. </p>

</div>
</div>
<a id="a042946d82d1037758819ad8478993a96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a042946d82d1037758819ad8478993a96">&#9670;&nbsp;</a></span>ENVELOPE_VERSION_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::ENVELOPE_VERSION_VALUE = &quot;20160207&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version value in message body. </p>

</div>
</div>
<a id="a834ee3c7a72c0fc8602b257f1c786812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a834ee3c7a72c0fc8602b257f1c786812">&#9670;&nbsp;</a></span>EXPECT_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::EXPECT_HEADER_KEY = &quot;Expect&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expect header key. </p>

</div>
</div>
<a id="a9f9f6e77941bb36d1c1d014b06be3f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f9f6e77941bb36d1c1d014b06be3f89">&#9670;&nbsp;</a></span>HEADER_KEY_VALUE_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::HEADER_KEY_VALUE_SEPARATOR = &quot;:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between header key and value. </p>

</div>
</div>
<a id="aed97f84b5fa31a75bfaeb06345cbd1a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed97f84b5fa31a75bfaeb06345cbd1a5">&#9670;&nbsp;</a></span>HTTP_RESPONSE_ERROR_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::HTTP_RESPONSE_ERROR_VALUE = &quot;message&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constant for HTTP 400 response json. </p>

</div>
</div>
<a id="acdfa568c2c58e517683c203d981725e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdfa568c2c58e517683c203d981725e2">&#9670;&nbsp;</a></span>SELF_DEVICE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilitiesDelegate::SELF_DEVICE = &quot;@self&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Device ID for the device that will show up in the URL. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
